%define lib_name %mklibname %name

# (misc) about the rpmlint warning:
#
# files in /usr/lib are plugins, so they do not have a soname
# and they do not need to be installable side by side with another
# version, so it is safe to ignore the error.

Name: cpufreqd
Summary: CPU frequency scaling daemon
Version: 2.4.2
Release: %mkrel 17
Group: System/Kernel and hardware
Source: https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1: %{name}.init
Source2: cpufreq_defaults
Patch0: %{name}.Makefile.patch
# (fc) 1.2.3-2mdk add more cpu intensive programs to full power mode
Patch1: cpufreqd-2.1.1-defaults.patch
# add patch from upstream to fix a buffer overflow with gcc-4.5
Patch2: cpufreqd-2.4.2-fix-segfault-when-calling-realpath.patch
# MGA#21067 - https://bugs.mageia.org/show_bug.cgi?id=21067
# Patch for cpufreqd - acpi current_now->power_now
Patch3: cpufreqd-power_now.patch
Url: http://www.linux.it/~malattia/wiki/index.php/Cpufreqd
License: GPLv2+
Requires(preun,post): rpm-helper
BuildRequires: automake
BuildRequires: libcpufreq-devel
BuildRequires: libsysfs-devel
Requires: %{lib_name}
ExclusiveArch:	%{ix86} x86_64

%description
cpufreqd is meant to be a replacement of the speedstep applet you
can find on some other OS, it monitors battery level, AC state and
running programs and adjusts the frequency of the processor according to
a set of rules specified in the config file (see cpufreqd.conf (5)).

It works only with a kernel patched with the cpufreq patch, such as the
standard %{_vendor} kernel.

You also need a supported processor, often found in laptops.


%package -n %{lib_name}
Summary: Library for %{name}
Group: System/Kernel and hardware
%description -n %{lib_name}
This packages contains some library needed
by %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .defaults
%patch2 -p1 -b .segfault
%patch3 -p1 -b .power_now

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -d %{buildroot}%{_sysconfdir}/%{name}
%{__install} -D -p -m 755 %{SOURCE1} %{buildroot}/%{_initrddir}/%{name}
%{__install} -D -p -m 644 %{SOURCE2} %{buildroot}%{_datadir}/%{name}/cpufreq_defaults

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root,0755)
%doc AUTHORS README TODO NEWS ChangeLog
%attr(755,root,root) %{_sbindir}/cpufreqd
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/cpufreqd.conf
%config(noreplace) %{_initrddir}/%{name}
%dir %{_sysconfdir}/%{name}/
%{_datadir}/%{name}/cpufreq_defaults
%dir %{_datadir}/%{name}/
%attr(644,root,root) %{_mandir}/*/*
%{_bindir}/*
%files -n %{lib_name}
%defattr(-,root,root,0755)
%{_libdir}/cpufreqd*


%changelog
* Mon Mar 14 2022 umeabot <umeabot> 2.4.2-17.mga9
+ Revision: 1791675
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.4.2-16.mga8
+ Revision: 1511473
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.4.2-15.mga7
+ Revision: 1296852
- Mageia 7 Mass Rebuild
+ shlomif <shlomif>
- Apply patch from MGA#21067 - thanks to Stig.
- spec cleanups: modernise macros, fix typos, trailing space.

* Sat Apr 02 2016 pterjan <pterjan> 2.4.2-13.mga6
+ Revision: 997540
- Restrict to x86

* Wed Feb 03 2016 umeabot <umeabot> 2.4.2-12.mga6
+ Revision: 933179
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4.2-11.mga5
+ Revision: 749076
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.4.2-10.mga5
+ Revision: 693693
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.4.2-9.mga5
+ Revision: 678573
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.4.2-8.mga4
+ Revision: 503531
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.4.2-7.mga3
+ Revision: 348254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 colin <colin> 2.4.2-6.mga3
+ Revision: 340070
- Uncompress small text files and add directly to pkg svn
- Fix up the initscript pidfile path to prevent systemd killing it after timeout (mga#8295)

* Mon Dec 31 2012 wally <wally> 2.4.2-5.mga3
+ Revision: 336588
- fix build with new automake 1.13
- clean .spec a bit

* Sat May 21 2011 ahmad <ahmad> 2.4.2-4.mga1
+ Revision: 99998
- Replace a reference to Mandriva with Mageia

* Tue Mar 08 2011 ennael <ennael> 2.4.2-3.mga1
+ Revision: 66443
- imported package cpufreqd


* Tue Dec 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.2-3mdv2011.0
+ Revision: 614462
- add patch from upstream to fix a buffer overflow with gcc-4.5

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.2-2mdv2011.0
+ Revision: 603854
- rebuild

* Mon Apr 26 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.2-1mdv2010.1
+ Revision: 539180
- update to new version 2.4.2

* Mon Mar 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.1-1mdv2010.1
+ Revision: 528658
- update to new version 2.4.1

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.4-3mdv2010.1
+ Revision: 520044
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3.4-2mdv2010.0
+ Revision: 413271
- rebuild

* Sat Mar 21 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.4-1mdv2009.1
+ Revision: 360065
- Update to new version 2.3.4

* Sun Mar 08 2009 Emmanuel Andry <eandry@mandriva.org> 2.3.3-2mdv2009.1
+ Revision: 352712
- use autoreconf
- fix URL

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Sat Aug 23 2008 Frederik Himpe <fhimpe@mandriva.org> 2.3.3-1mdv2009.0
+ Revision: 275402
- Adapt BuildRequires
- Don't package COPYING file but some more interesting doc files
- Update to version 2.3.3
- Fix license

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2.2.1-3mdv2009.0
+ Revision: 220513
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 2.2.1-2mdv2008.1
+ Revision: 149133
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 19 2007 Funda Wang <fwang@mandriva.org> 2.2.1-1mdv2008.0
+ Revision: 53553
- do not use versioned autotools
- New version


* Mon Dec 18 2006 Olivier Blin <oblin@mandriva.com> 2.1.1-4mdv2007.0
+ Revision: 98675
- do not require cpufreq, frequency scaling modules are now configured by DrakX/harddrake
- Import cpufreqd

* Thu Aug 31 2006 Olivier Blin <blino@mandriva.com> 2.1.1-3mdv2007.0
- add lindvd in cpu intensive programs list

* Wed Aug 30 2006 Olivier Blin <blino@mandriva.com> 2.1.1-2mdv2007.0
- add LSB tags in initscript
- return correct exit code on service status (#21197)

* Sat Jul 22 2006 Emmanuel Andry <eandry@mandriva.org> 2.1.1-1mdv2007.0
- New release 2.1.1
- rediff patch 0 and 1

* Fri Jan 13 2006 Michael Scherer <misc@mandriva.org> 2.0.0-1mdk
- New release 2.0.0
- use mkrel
- update patch1
- do not include debug information in tarball

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.2.3-3mdk
- Rebuild

* Fri Aug 12 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.3-2mdk 
- Patch1: add more programs to full power mode

* Tue Jun 21 2005 Michael Scherer <misc@mandriva.org> 1.2.3-1mdk
- New release 1.2.3
- fix rpmlint warning

* Sat Jan 29 2005 Michael Scherer <misc@mandrake.org> 1.2.2-2mdk 
- change priority of cpufreqd ( thanks to the reporter of #13304 )

* Wed Oct 27 2004 Michael Scherer <misc@mandrake.org> 1.2.2-1mdk
- New release 1.2.2

* Tue Oct 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Wed Aug 25 2004 Michael Scherer <misc@mandrake.org> 1.2.0-2mdk 
- Requires cpufreq

* Tue Aug 24 2004 Michael Scherer <misc@mandrake.org> 1.2.0-1mdk
- New release 1.2.0

* Sat May 29 2004 Michael Scherer <misc@mandrake.org> 1.1.2-2mdk 
- [DIRM]
- fix building problem

* Tue Mar 16 2004 Michael Scherer <misc@mandrake.org> 1.1.2-1mdk
- 1.1.2
- patch #1 merged upstream
- moved cpufreq_defaults to /usr/share

* Tue Feb 24 2004 Danny Tholen <obiwan@mailmij.org> 1.1.1-3mdk
- fix bug with pmu (patch1)
- require autmake 1.4 not 1.7
- script for adjusting config at startup (source2)

* Mon Feb 09 2004 Michael Scherer <misc@mandrake.org> 1.1.1-2mdk
- 2.6 support in the init file, upstream addition

* Sun Feb 08 2004 Michael Scherer <misc@mandrake.org> 1.1.1-1mdk
- 1.1.1

* Mon Jan 05 2004 Michael Scherer <misc@mandrake.org> 1.1-1mdk 
- 1.1
- patch1 merged upstream
- some adjustement to init file.

* Fri Dec 19 2003 Michael Scherer <misc@mandrake.org> 1.1-0.rc1.2mdk 
- add patch to not have /var/run/cpufreqd.pid world writable ( thanks msec )

